EC_CONFIG_KEY_IS_RESERVED(3)

NAME
ec_config_key_is_reserved - Check if a key name is reserved in a config dict.

SYNOPSIS
#include <ecoli/config.h>

bool ec_config_key_is_reserved(
    const char   *name   /* The name of the key to test. */
);

DESCRIPTION

Some key names are reserved and should not be used in configs.

RETURN VALUE

True if the key name is reserved and must not be used, else false.

SEE ALSO

ec_config_schema_sub(3), ec_config_u64(3), ec_config_list_del(3), ec_config_dict(3), ec_config_count(3), ec_config_schema_dump(3), ec_config_i64(3), ec_config_list_next(3), ec_config_get_type(3), ec_config_dict_set(3), ec_config_list_first(3), ec_config_schema_type(3), ec_config_node(3), ec_config_list(3), ec_config_cmp(3), ec_node_config_node_list_to_table(3), ec_config_string(3), ec_config_dict_get(3), ec_config_free(3), ec_node_config_node_list_from_vargs(3), ec_config_list_add(3), ec_config_schema_validate(3), ec_config_schema_lookup(3), ec_config_validate(3), ec_config_dup(3), ec_config_dump(3), ec_config_dict_del(3), ec_config_bool(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.